/*
	File: copia.java
	Autore: Tiziano Moretti
	Progetto: copyManager
	
	Esempio di semplice entit da usare come singola copia di un insieme di copie
	replicate.
	Vettore di 10 interi inizializzato con in ogni campo il valore del rispettivo 
	indice
*/

public class copia {
	private static final int NVET=10;
	private int[] vetInt=new int[10];
	
	public copia(){
		for(int i=0;i<NVET;i++) vetInt[i]=i;	
	}
	
	public copia(int[] vetInt){
		this.vetInt=vetInt;	
	}
	
	public int[] getVetInt(){
		return vetInt;
	}//getVetInt
	
	public int leggi(int indice){
		return vetInt[indice];
	}
	
	public void scrivi(int indice, int dato){
		vetInt[indice]=dato;
	}
	
	public String toString(){
		String str=" ";
		
		for(int i=0;i<NVET;i++) str=str+vetInt[i]+" - ";
		return str;	
	}
} // class copia