/*
	File: copyManagerAccept.java
	Autore: Tiziano Moretti
	Progetto: copyManager
	
	classe usata in copyManager; implementa il thread in attesa di connessioni
*/

import java.io.*;
import java.net.*;

public class copyManagerAccept implements Runnable {
	private ServerSocket masterSck=null;
	private int porta=0;
	private oneCopyManager[] copyVet;
	private boolean[] copiaCreata;
	
	public copyManagerAccept(int porta,oneCopyManager[] copyVet,boolean[] copiaCreata){
		this.porta=porta;
		this.copyVet=copyVet;
		this.copiaCreata=copiaCreata;
	}//copyManagerAccept
	
	public void run(){
		try{
				masterSck=new ServerSocket(porta);
				while(true){
 					System.out.println("DEBUG copyManagerAccept; prima di accept");
					Socket sckClient=masterSck.accept();
 					System.out.println("DEBUG copyManagerAccept; dopo accept");
					new Thread(new connManager(sckClient,copyVet,copiaCreata)).start();
					//generato un nuovo thread per ogni richiesta, quindi le informazioni
					//passate sono sempre aggiornate
			}
		}catch (IOException exc1){
				System.out.println("Errore in copyManagerAccept"+exc1);
				if(masterSck!=null) try{masterSck.close();}catch(IOException exc2)
					{System.out.println("Errore chiusura socket in copyManagerAccept "+ exc2);}
				System.exit(-1);
		}
	}
	
	public void aggiorna(oneCopyManager[] copyVet,boolean[] copiaCreata){
		this.copyVet=copyVet;
		this.copiaCreata=copiaCreata;
	}//aggiorna
}// class copyManagerAccept