/*
	File: oneCopyManager.java
	Autore: Tiziano Moretti
	Progetto: copyManager
	
	Gestore di una singola copia (dichiarata come variabile privata). Il costrut-
	tore lancia due thread: uno in attesa di chiamate per scritture ed uno per le
	letture
*/

public class oneCopyManager{
	private copiaLock myCopiaLock;
	
	public oneCopyManager(int portaSckCl, int portaSckSvr){
		myCopiaLock= new copiaLock();
		new Thread(new oCMThreadRead(portaSckCl,myCopiaLock)).start();
		new Thread(new oCMThreadWrite(portaSckSvr,myCopiaLock)).start();
	}
	
	public oneCopyManager(int portaSckCl, int portaSckSvr, copiaLock myCopiaLock){
		this.myCopiaLock=myCopiaLock;
		new Thread(new oCMThreadRead(portaSckCl,myCopiaLock)).start();
		new Thread(new oCMThreadWrite(portaSckSvr,myCopiaLock)).start();
	}
	
	public copiaLock getCopiaLock(){
		return myCopiaLock;
	}//
	
	public void finalize() throws Throwable {
		super.finalize();
	}//finalize
	
	public String toString(){
		return 	myCopiaLock.toString();
	}
} // class oneCopyManager