/*
	File: copiaLock.java
	Autore: Tiziano Moretti
	Progetto: copyManager
	
	Copia da usare in concorrenza dai thread. Richiama i metodi di copia ma 
	dichiarandoli synchronized.
	Questo oggetto pu essere inutile se invece si sceglier di racchiudere la
	copia entro un blocco synchronized (come verr fatto)
*/

public class copiaLock {
	private copia myCopy;
	
	public copiaLock(){
		myCopy= new copia();
	}
	
	public copiaLock(copia myCopy){
		this.myCopy=myCopy;
	}
	
	public copiaLock(int[] vetInt){
		this.myCopy=new copia(vetInt);
	}
	
	public copia getCopia(){
		return myCopy;
	}//getCopia
	
	public int leggi(int indice){
		return myCopy.leggi(indice);
	}
	
	public synchronized void scrivi(int indice, int dato){
		myCopy.scrivi(indice,dato);
	}
	
	public String toString(){
		return myCopy.toString();	
	}
} // class copiaLock